Bug 1470584 - Validation results are not deleted when deleting the plan
Validation results are not deleted when deleting the plan
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-ui (Show other bugs)
11.0 (Ocata)
Unspecified Unspecified
medium Severity medium
: rc
: 12.0 (Pike)
Assigned To: Florian Fuchs
Ola Pavlenko
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2017-07-13 05:08 EDT by Udi
Modified: 2018-02-05 14:10 EST (History)
8 users (show)

See Also:
Fixed In Version: openstack-tripleo-ui-7.4.3-3.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-13 16:40:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1715364 None None None 2017-09-06 06:49 EDT
OpenStack gerrit 501214 None None None 2017-09-06 06:50 EDT
OpenStack gerrit 517597 None None None 2017-11-03 06:18 EDT

  None (edit)
Description Udi 2017-07-13 05:08:37 EDT
Description of problem:
If you delete a plan and create a new one with the same name - the validation results from the previous incarnation of the plan are still persisted.

Version-Release number of selected component (if applicable):

How reproducible:
100 %

Steps to Reproduce:
1. Create a plan and make sure all the validators are in initial state (not run). Note that the pre-deployment validators might start automatically but that's OK.
2. Run a few validators. For example I ran the pacemaker validator and it passed (even if there was no overcloud yet).
3. Delete the plan.
4. Create a new plan with the same name.

Actual results:
The results of the validators that were run on the old plan with the same name are displayed, even though this is really not the same plan.
Comment 2 Beth Elwell 2017-11-03 06:18:10 EDT
backporting to stable/pike
Comment 4 Dan Trainor 2017-11-20 15:42:59 EST
A plan uploaded with the same name has all the validation states associated with it reset.  This passes.
Comment 7 errata-xmlrpc 2017-12-13 16:40:04 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.